# Teletap

A small playground for networked sound experiments with Web Audio API.


## Setup

Clone the repo , move to the directory and install the dependencies using your favourite package manager ([npm](https://www.npmjs.com/), [yarn](https://yarnpkg.com/), etc.).

Note that to run the app you will need to install [Node.js](https://nodejs.org/en/), either on your machine or on a VPS.

For example with npm:

```
git clone https://git.xpub.nl/kamo/teletap
cd teletap
npm install
```

To start the application run

`node server.js`

or in alternative

`npm start`

Then open your browser to `localhost:3000` and there you can tap on the screen to generate sounds..

If you open another tab and navigate to `localhost:3000/destination`, there you will receive the sounds. Note that you will not hear anything until you press on the `Join Audio` button. This is because for security policies, browsers don't play any sound before a user's interaction.

This app uses the same architecture of [DRw](https://git.xpub.nl/kamo/drw). Find more info there!
